Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Can't install Web Developer Tools into Helios
Can't install Web Developer Tools into Helios [message #529990] Tue, 27 April 2010 23:28 Go to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Hi guys,

I just grabbed that latest runup build for M7 and I'm not able to install the Web Developer Tools Feature. I can get the XML, XSL, and Web Editor, and a bunch of other stuff, but for this one I get:

Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse Web Developer Tools 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A (org.eclipse.wst.web_ui.feature.feature.group 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A)
Software currently installed: Eclipse SDK 3.6.0.I20100424-2000 (org.eclipse.sdk.ide 3.6.0.I20100424-2000)
Only one of the following can be installed at once:
Equinox Provisioning Director 1.0.100.v20100123-1019 (org.eclipse.equinox.p2.director 1.0.100.v20100123-1019)
Equinox Provisioning Director 2.0.0.v20100424-0100 (org.eclipse.equinox.p2.director 2.0.0.v20100424-0100)
Equinox Provisioning Director 2.0.0.v20100311-1335 (org.eclipse.equinox.p2.director 2.0.0.v20100311-1335)
Cannot satisfy dependency:
From: Equinox p2 Provisioning 2.0.0.v20100409-897HFUJFdHjO-mQ5SFQFaHG (org.eclipse.equinox.p2.user.ui.feature.group 2.0.0.v20100409-897HFUJFdHjO-mQ5SFQFaHG)
To: org.eclipse.equinox.p2.director [2.0.0.v20100424-0100]
Cannot satisfy dependency:
From: Eclipse SDK 3.6.0.I20100424-2000 (org.eclipse.sdk.ide 3.6.0.I20100424-2000)
To: org.eclipse.equinox.p2.user.ui.feature.group [2.0.0.v20100409-897HFUJFdHjO-mQ5SFQFaHG]
Cannot satisfy dependency:
From: org.eclipse.wst.server.discovery 1.0.100.v20100120
To: bundle org.eclipse.equinox.p2.director [1.0.100,2.0.0)
Cannot satisfy dependency:
From: WST Server UI 3.2.0.v20090716-7B4F8dAtJ_T-EGPNLNJTEJ866 (org.eclipse.wst.server_ui.feature.feature.group 3.2.0.v20090716-7B4F8dAtJ_T-EGPNLNJTEJ866)
To: org.eclipse.wst.server.discovery [1.0.100.v20100120]
Cannot satisfy dependency:
From: Eclipse Web Developer Tools 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A (org.eclipse.wst.web_ui.feature.feature.group 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A)
To: org.eclipse.wst.server_ui.feature.feature.group [3.2.0.v20090716-7B4F8dAtJ_T-EGPNLNJTEJ866]

Re: Can't install Web Developer Tools into Helios [message #530101 is a reply to message #529990] Wed, 28 April 2010 13:29 Go to previous messageGo to next message
Larry Isaacs is currently offline Larry IsaacsFriend
Messages: 1313
Registered: July 2009
Senior Member
Miles Parker wrote:
> Hi guys,
>
> I just grabbed that latest runup build for M7 and I'm not able to
> install the Web Developer Tools Feature. I can get the XML, XSL, and
> Web Editor, and a bunch of other stuff, but for this one I get:
>
> Cannot complete the install because of a conflicting dependency.
> Software being installed: Eclipse Web Developer Tools
> 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A
> (org.eclipse.wst.web_ui.feature.feature.group
> 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A)
> Software currently installed: Eclipse SDK 3.6.0.I20100424-2000
> (org.eclipse.sdk.ide 3.6.0.I20100424-2000)
> Only one of the following can be installed at once: Equinox
> Provisioning Director 1.0.100.v20100123-1019
> (org.eclipse.equinox.p2.director 1.0.100.v20100123-1019)
> Equinox Provisioning Director 2.0.0.v20100424-0100
> (org.eclipse.equinox.p2.director 2.0.0.v20100424-0100)
> Equinox Provisioning Director 2.0.0.v20100311-1335
> (org.eclipse.equinox.p2.director 2.0.0.v20100311-1335)
> Cannot satisfy dependency:
> From: Equinox p2 Provisioning 2.0.0.v20100409-897HFUJFdHjO-mQ5SFQFaHG
> (org.eclipse.equinox.p2.user.ui.feature.group
> 2.0.0.v20100409-897HFUJFdHjO-mQ5SFQFaHG)
> To: org.eclipse.equinox.p2.director [2.0.0.v20100424-0100]
> Cannot satisfy dependency:
> From: Eclipse SDK 3.6.0.I20100424-2000 (org.eclipse.sdk.ide
> 3.6.0.I20100424-2000)
> To: org.eclipse.equinox.p2.user.ui.feature.group
> [2.0.0.v20100409-897HFUJFdHjO-mQ5SFQFaHG]
> Cannot satisfy dependency:
> From: org.eclipse.wst.server.discovery 1.0.100.v20100120
> To: bundle org.eclipse.equinox.p2.director [1.0.100,2.0.0)
> Cannot satisfy dependency:
> From: WST Server UI 3.2.0.v20090716-7B4F8dAtJ_T-EGPNLNJTEJ866
> (org.eclipse.wst.server_ui.feature.feature.group
> 3.2.0.v20090716-7B4F8dAtJ_T-EGPNLNJTEJ866)
> To: org.eclipse.wst.server.discovery [1.0.100.v20100120]
> Cannot satisfy dependency:
> From: Eclipse Web Developer Tools
> 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A
> (org.eclipse.wst.web_ui.feature.feature.group
> 3.2.0.v200911160530-7O7BF_VEMa0bz0UMgdvHOJY0FX4A)
> To: org.eclipse.wst.server_ui.feature.feature.group
> [3.2.0.v20090716-7B4F8dAtJ_T-EGPNLNJTEJ866]
>
>

The version indicated by the "0120" at the end of
"org.eclipse.wst.server.discovery 1.0.100.v20100120" suggests this is
from WTP 3.2M5. This issue was fixed in WTP 3.2M6. I'm not sure why
this repository is that far out of date. Since you are grabbing a
latest Eclipse, it probably wouldn't hurt work with latest WTP 3.2 zips
and dependencies as well.

Cheers,
Larry
Re: Can't install Web Developer Tools into Helios [message #530162 is a reply to message #530101] Wed, 28 April 2010 17:15 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Larry Isaacs wrote on Wed, 28 April 2010 09:29

The version indicated by the "0120" at the end of
"org.eclipse.wst.server.discovery 1.0.100.v20100120" suggests this is
from WTP 3.2M5. This issue was fixed in WTP 3.2M6. I'm not sure why
this repository is that far out of date. Since you are grabbing a
latest Eclipse, it probably wouldn't hurt work with latest WTP 3.2 zips
and dependencies as well.

Cheers,
Larry


OK, where is the update site for that? Will Helios site be updated soon? (WTP isn't really a must have for me, so in general I'm wanting to see how far I can get with Helios alone.)

thanks,

Miles
Re: Can't install Web Developer Tools into Helios [message #530184 is a reply to message #530162] Wed, 28 April 2010 18:31 Go to previous messageGo to next message
Larry Isaacs is currently offline Larry IsaacsFriend
Messages: 1313
Registered: July 2009
Senior Member
Miles Parker wrote:
> Larry Isaacs wrote on Wed, 28 April 2010 09:29
>> The version indicated by the "0120" at the end of
>> "org.eclipse.wst.server.discovery 1.0.100.v20100120" suggests this is
>> from WTP 3.2M5. This issue was fixed in WTP 3.2M6. I'm not sure why
>> this repository is that far out of date. Since you are grabbing a
>> latest Eclipse, it probably wouldn't hurt work with latest WTP 3.2
>> zips and dependencies as well.
>>
>> Cheers,
>> Larry
>
>
> OK, where is the update site for that?

The one you are using is probably the only one.

> Will Helios site be updated soon?

I don't why it hasn't been updated or when it might be prior to release.
You can get weekly WTP 3.2 Integration zips at
http://download.eclipse.org/webtools/downloads/, or bleeding edge WTP
3.2 Integration zips at http://build.eclipse.org/webtools/committers/

Cheers,
Larry

> (WTP isn't really a must have for me, so in general I'm wanting to see
> how far I can get with Helios alone.)
>
> thanks,
>
> Miles
Re: Can't install Web Developer Tools into Helios [message #530217 is a reply to message #530184] Wed, 28 April 2010 21:03 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Larry Isaacs wrote on Wed, 28 April 2010 14:31

I don't why it hasn't been updated or when it might be prior to release.
You can get weekly WTP 3.2 Integration zips at
http://download.eclipse.org/webtools/downloads/, or bleeding edge WTP
3.2 Integration zips at http://build.eclipse.org/webtools/committers/


Great, thanks Larry. I'm getting lazy and just using update sites for now. But I'll bet the Galileo release will work just fine for now as well. But aren't you guys using Athena? You probably know this already, but you can auto-promote update site builds for milestone, interim, etc.. .. Very Happy

cheers!

Miles
Re: Can't install Web Developer Tools into Helios [message #530708 is a reply to message #530217] Fri, 30 April 2010 15:12 Go to previous messageGo to next message
David Carver is currently offline David CarverFriend
Messages: 174
Registered: July 2009
Senior Member
Only the XML CI builds are using Athena...not all of WTP is using it for CI builds.
Re: Can't install Web Developer Tools into Helios [message #531152 is a reply to message #529990] Mon, 03 May 2010 21:59 Go to previous messageGo to next message
Ryan is currently offline RyanFriend
Messages: 6
Registered: July 2009
Junior Member
I verified installing from the p2 zips on the downloads page works in Eclipse 3.6 m7. I have been trying to install WST from the helios update site since m5 without any luck. I am sure I am not the only one. Could this be resolved?
Re: Can't install Web Developer Tools into Helios [message #531668 is a reply to message #531152] Wed, 05 May 2010 17:57 Go to previous messageGo to next message
David Williams is currently offline David WilliamsFriend
Messages: 176
Registered: July 2009
Senior Member
Ryan wrote:
> I verified installing from the p2 zips on the downloads page works in
> Eclipse 3.6 m7. I have been trying to install WST from the helios update
> site since m5 without any luck. I am sure I am not the only one. Could
> this be resolved?

Everyone is so impatient! :)

Helios M7 is not until this Friday, May 7. The main Helios repository
will be updated then.
Re: Can't install Web Developer Tools into Helios [message #531672 is a reply to message #531668] Wed, 05 May 2010 18:19 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
David Williams wrote on Wed, 05 May 2010 13:57

Everyone is so impatient! Smile

Helios M7 is not until this Friday, May 7. The main Helios repository
will be updated then.


OK, then we'll just drop all of the bug reports on you then. Very Happy Very Happy
Re: Can't install Web Developer Tools into Helios [message #531676 is a reply to message #531668] Wed, 05 May 2010 18:26 Go to previous message
Ryan is currently offline RyanFriend
Messages: 6
Registered: July 2009
Junior Member
m6 hasn't worked for me either (well after m6 was scheduled). I don't mean to sound impatient just wanted to report my experience.
Previous Topic:Add and Remove to Liferay/Tomcat Server
Next Topic:Java EE Module Dependencies not exporting
Goto Forum:
  


Current Time: Fri Dec 19 17:32:18 GMT 2014

Powered by FUDForum. Page generated in 0.02601 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software